Overview | Package | Class | Tree | Deprecated | Index | Help
| Vordel SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vordel.circuit
Interface CircuitConstants

    public interface CircuitConstants

Defines a set of constants that reflect fields and entity types used by the circuit package, and its consumers.

Field Summary
`static java.lang.String` | `FIELD_ADDRESS`
`static java.lang.String` | `FIELD_CIRCUIT_REF`
`static java.lang.String` | `FIELD_CLASS`
`static java.lang.String` | `FIELD_FAILURE`
`static java.lang.String` | `FIELD_FAULT_PROCESSOR`
`static java.lang.String` | `FIELD_FILTER_CIRCUIT`
`static java.lang.String` | `FIELD_LOGFAILURE`
`static java.lang.String` | `FIELD_LOGFATAL`
`static java.lang.String` | `FIELD_LOGMASK`
`static java.lang.String` | `FIELD_LOGSUCCESS`
`static java.lang.String` | `FIELD_NAME`
`static java.lang.String` | `FIELD_START`
`static java.lang.String` | `FIELD_SUCCESS`
`static java.lang.String` | `TYPE_CIRCUIT`
`static java.lang.String` | `TYPE_CIRCUIT_CONTAINER`
`static java.lang.String` | `TYPE_DELEGATE`
`static java.lang.String` | `TYPE_FILTER`
`static java.lang.String` | `TYPE_FIREWALL`
`static java.lang.String` | `TYPE_HTTP`
`static java.lang.String` | `TYPE_NET_SERVICE`
`static java.lang.String` | `TYPE_SMTP`
`static java.lang.String` | `TYPE_SMTP_AUTH_HANDLER`
`static java.lang.String` | `TYPE_SMTP_DATA_HANDLER`
`static java.lang.String` | `TYPE_SMTP_HELO_HANDLER`
`static java.lang.String` | `TYPE_SMTP_MAIL_HANDLER`
`static java.lang.String` | `TYPE_SMTP_RCPT_HANDLER`
`static java.lang.String` | `TYPE_WEBSERVICE_PLUGIN`

Field Detail

### FIELD_NAME

    static final java.lang.String FIELD_NAME

See Also:
  Constant Field Values

### FIELD_START

    static final java.lang.String FIELD_START

See Also:
  Constant Field Values

### FIELD_SUCCESS

    static final java.lang.String FIELD_SUCCESS

See Also:
  Constant Field Values

### FIELD_FAILURE

    static final java.lang.String FIELD_FAILURE

See Also:
  Constant Field Values

### FIELD_CLASS

    static final java.lang.String FIELD_CLASS

See Also:
  Constant Field Values

### FIELD_CIRCUIT_REF

    static final java.lang.String FIELD_CIRCUIT_REF

See Also:
  Constant Field Values

### FIELD_FILTER_CIRCUIT

    static final java.lang.String FIELD_FILTER_CIRCUIT

See Also:
  Constant Field Values

### FIELD_FAULT_PROCESSOR

    static final java.lang.String FIELD_FAULT_PROCESSOR

See Also:
  Constant Field Values

### FIELD_ADDRESS

    static final java.lang.String FIELD_ADDRESS

See Also:
  Constant Field Values

### FIELD_LOGMASK

    static final java.lang.String FIELD_LOGMASK

See Also:
  Constant Field Values

### FIELD_LOGFATAL

    static final java.lang.String FIELD_LOGFATAL

See Also:
  Constant Field Values

### FIELD_LOGSUCCESS

    static final java.lang.String FIELD_LOGSUCCESS

See Also:
  Constant Field Values

### FIELD_LOGFAILURE

    static final java.lang.String FIELD_LOGFAILURE

See Also:
  Constant Field Values

### TYPE_CIRCUIT_CONTAINER

    static final java.lang.String TYPE_CIRCUIT_CONTAINER

See Also:
  Constant Field Values

### TYPE_CIRCUIT

    static final java.lang.String TYPE_CIRCUIT

See Also:
  Constant Field Values

### TYPE_FILTER

    static final java.lang.String TYPE_FILTER

See Also:
  Constant Field Values

### TYPE_DELEGATE

    static final java.lang.String TYPE_DELEGATE

See Also:
  Constant Field Values

### TYPE_WEBSERVICE_PLUGIN

    static final java.lang.String TYPE_WEBSERVICE_PLUGIN

See Also:
  Constant Field Values

### TYPE_FIREWALL

    static final java.lang.String TYPE_FIREWALL

See Also:
  Constant Field Values

### TYPE_NET_SERVICE

    static final java.lang.String TYPE_NET_SERVICE

See Also:
  Constant Field Values

### TYPE_HTTP

    static final java.lang.String TYPE_HTTP

See Also:
  Constant Field Values

### TYPE_SMTP

    static final java.lang.String TYPE_SMTP

See Also:
  Constant Field Values

### TYPE_SMTP_HELO_HANDLER

    static final java.lang.String TYPE_SMTP_HELO_HANDLER

See Also:
  Constant Field Values

### TYPE_SMTP_AUTH_HANDLER

    static final java.lang.String TYPE_SMTP_AUTH_HANDLER

See Also:
  Constant Field Values

### TYPE_SMTP_MAIL_HANDLER

    static final java.lang.String TYPE_SMTP_MAIL_HANDLER

See Also:
  Constant Field Values

### TYPE_SMTP_RCPT_HANDLER

    static final java.lang.String TYPE_SMTP_RCPT_HANDLER

See Also:
  Constant Field Values

### TYPE_SMTP_DATA_HANDLER

    static final java.lang.String TYPE_SMTP_DATA_HANDLER

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| Vordel SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This documentation and all its contents and graphics, copyright © 1999 - 2011 Vordel